#include <bits/stdc++.h>
using namespace std;
long long t,n,m,k,d;
int main()
{
    cin>>t;
    while(t--){
        cin>>n>>m>>k;
        if(k>n) cout<<"Nie"<<endl;
        else {
            m-=(n%k)*((n/k)+1);
            m/=k;
            if((n/k)%2==0){
                d=((n/k)+1)*((n/k)/2);
            }
            else{
                d=((n/k)+1)*((n/k)/2)+((n/k)/2)+1;
            }
            if(d<=m) cout<<"Tak"<<endl;
            else cout<<"Nie"<<endl;
        }
    }
    return 0;
}